Package twisted :: Package scripts :: Module tkconch :: Class SSHUserAuthClient

[show private | hide private]
[frames | no frames]

## Class SSHUserAuthClient

       SSHService --+
                    |
    SSHUserAuthClient --+
                        |
                       SSHUserAuthClient

Method Summary
| `__init__(self, user, instance)` (inherited from `SSHUserAuthClient`)
| `askForAuth(self, kind, extraData)` (inherited from `SSHUserAuthClient`)
| `auth_password(self)` (inherited from `SSHUserAuthClient`)
| `auth_publickey(self)` (inherited from `SSHUserAuthClient`)
`Deferred` | ``getPassword`(self, prompt)` Return a `Deferred`that will be called back with a password.
`Deferred` | ``getPrivateKey`(self)` Return a `Deferred`that will be called back with the private key corresponding to the last public key from getPublicKey().
`str`/`None` | ``getPublicKey`(self)` Return a public key for the user.
| ``packetReceived`(self, messageType, packet)` called when we receieve a packet on the transport (inherited from `SSHService`)
| ``serviceStarted`(self)` called when the service is active on the transport. (inherited from `SSHUserAuthClient`)
| ``serviceStopped`(self)` called when the service is stopped, either by the connection ending or by another service being started (inherited from `SSHService`)
| `ssh_USERAUTH_FAILURE(self, packet)` (inherited from `SSHUserAuthClient`)
| `ssh_USERAUTH_PK_OK(self, packet)` (inherited from `SSHUserAuthClient`)
| `ssh_USERAUTH_SUCCESS(self, packet)` (inherited from `SSHUserAuthClient`)
| `tryAuth(self, kind)` (inherited from `SSHUserAuthClient`)
| `_cbGetPrivateKey(self, ans, count)`
| `_cbPassword(self, password)` (inherited from `SSHUserAuthClient`)
| `_cbPK_OK(self, privateKey)` (inherited from `SSHUserAuthClient`)
| `_ebPK_OK(self, ignored)` (inherited from `SSHUserAuthClient`)
| `_setNewPass(self, np)` (inherited from `SSHUserAuthClient`)
| `_setOldPass(self, op)` (inherited from `SSHUserAuthClient`)

Class Variable Summary
`list` | `usedFiles`

Method Details

### getPassword(self, prompt=None)

Return a `Deferred` that will be called back with a password. prompt is a string to display for the password, or None for a generic 'user@hostname's password: '.

  Parameters:
    `prompt`
    (type=`str`/`None`)
  Returns:
    `Deferred`
  Overrides:
    `twisted.conch.ssh.userauth.SSHUserAuthClient.getPassword` (inherited documentation)

### getPrivateKey(self)

Return a `Deferred` that will be called back with the private key corresponding to the last public key from getPublicKey(). If the private key is not available, errback on the Deferred.

  Returns:
    `Deferred`
  Overrides:
    `twisted.conch.ssh.userauth.SSHUserAuthClient.getPrivateKey` (inherited documentation)

### getPublicKey(self)

Return a public key for the user. If no more public keys are available, return None.

  Returns:
    `str`/`None`
  Overrides:
    `twisted.conch.ssh.userauth.SSHUserAuthClient.getPublicKey` (inherited documentation)

Class Variable Details

### usedFiles

  Type:
    `list`
  Value:

        []

Generated by Epydoc 1.1 on Sat Feb 15 21:19:18 2003 | http://epydoc.sf.net